SUBROUTINE WRIMOPH(KSTEP,PTSTEP,KLEV,CDCOMM,KBITS,KCOMPRESS,PRA,PRB,KSHORT,&
 & KGPTOTG,KPPPSH)  

!**** *WRIMOPH* -

!     Purpose.
!     --------
!        Write Header of movies file in 32 bits

!**   Interface.
!     ----------
!        *CALL* *WRIMOPH
!     Author.
!     -------
!     Modifications.
!     --------------
!        Original : 98-03-13
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
!     ------------------------------------------------------------------

USE PARKIND1  ,ONLY : JPIM     ,JPRB     ,JPRM     ,JPIS
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE
INTEGER(KIND=JPIM),INTENT(IN)    :: KGPTOTG 
INTEGER(KIND=JPIM),INTENT(IN)    :: KSTEP 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PTSTEP 
INTEGER(KIND=JPIM),INTENT(IN)    :: KLEV 
CHARACTER(LEN=30) ,INTENT(IN)    :: CDCOMM
INTEGER(KIND=JPIM),INTENT(IN)    :: KBITS 
INTEGER(KIND=JPIM),INTENT(IN)    :: KCOMPRESS 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PRA 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PRB 
INTEGER(KIND=JPIS),INTENT(IN)    :: KSHORT(KGPTOTG) 
INTEGER(KIND=JPIM),INTENT(IN)    :: KPPPSH 
REAL(KIND=JPRM) :: ZRA,ZRB,ZTSTEP
INTEGER(KIND=JPIM) :: JI
REAL(KIND=JPRB) :: ZHOOK_HANDLE

IF (LHOOK) CALL DR_HOOK('WRIMOPH',0,ZHOOK_HANDLE)
ZRA=PRA
ZRB=PRB
ZTSTEP=PTSTEP
WRITE (KPPPSH) KSTEP,ZTSTEP,KLEV,CDCOMM,KBITS,KCOMPRESS,ZRA,ZRB
WRITE (KPPPSH) (KSHORT(JI),JI=1,KGPTOTG)

IF (LHOOK) CALL DR_HOOK('WRIMOPH',1,ZHOOK_HANDLE)
END SUBROUTINE WRIMOPH

